## fbreader-cmpc3 0.10.20081218netbook0natick1

=== fbreader/Makefile ===
ROOTDIR = $(CURDIR)/..

MAKEFILESDIR = $(ROOTDIR)/makefiles

include $(MAKEFILESDIR)/config.mk

TARGET = FBReader
target = fbreader

ALL_SUBDIRS = src src/migration src/constants src/options src/description src/collection src/bookmodel src/formats src/formats/fb2 src/formats/docbook src/formats/css src/formats/html src/formats/pdb src/formats/txt src/formats/tcr src/formats/chm src/formats/xhtml src/formats/oeb src/formats/rtf src/formats/openreader src/formats/pdf src/formats/dummy src/formats/util src/external src/optionsDialog src/fbreader src/encodingOption
ALL_ARCHSUBDIRS = desktop pdaxrom opie zaurus maemo openzaurus pma400 win32

SUBDIRS = src/migration src/constants src/options src/description src/collection src/bookmodel src/formats src/formats/fb2 src/formats/css src/formats/html src/formats/pdb src/formats/txt src/formats/tcr src/formats/chm src/formats/xhtml src/formats/oeb src/formats/rtf src/formats/openreader src/formats/util src/external src/optionsDialog src/fbreader src/encodingOption

all: .resources
	@for subdir in $(SUBDIRS); do \
		if ! $(MAKE) -C $$subdir -f $(MAKEFILESDIR)/subdir.mk; then \
			exit 1; \
		fi; \
	done;
	@echo -n "Linking $(TARGET) ..."
	@$(LD) $(LDFLAGS) -o $(TARGET) `find src -name *.o` -L$(ROOTDIR)/zlibrary/text $(TEXT_LIBS) $(CORE_LIBS)
	@echo " OK"

FBSHAREDIR = $(DESTDIR)$(subst %APPLICATION_PATH%\\\\,/,$(SHAREDIR))/FBReader
VARIANT = $(TARGET_ARCH)
ifneq "$(RESOLUTION)" "" 
  VARIANT = $(TARGET_ARCH)_$(RESOLUTION)
endif

APPIMAGEDIR_REAL = $(subst \\\\,/,$(subst %APPLICATION_PATH%\\\\,/,$(subst %application_name%,$(target),$(subst %APPLICATION_NAME%,$(TARGET),$(APPIMAGEDIR)))))

do_install:
	@install -d $(DESTDIR)$(BINDIR)
	@install $(TARGET) $(DESTDIR)$(BINDIR)/FBReader
	@install -d $(FBSHAREDIR)
	@install -d $(FBSHAREDIR)/help
	@./scripts/install_help.sh $(VARIANT) $(FBSHAREDIR)/help
	@install -d $(FBSHAREDIR)/formats/html
	@install -m 0644 data/formats/html/html.ent $(FBSHAREDIR)/formats/html
	@install -d $(FBSHAREDIR)/formats/xhtml
	@install -m 0644 $(wildcard data/formats/xhtml/*.ent) $(FBSHAREDIR)/formats/xhtml
	@install -d $(FBSHAREDIR)/formats/fb2
	@sed "s/VERSION/$(VERSION)/" data/formats/fb2/FBReaderVersion.ent > $(FBSHAREDIR)/formats/fb2/FBReaderVersion.ent
	@install -m 0644 data/formats/fb2/fb2genres.xml $(FBSHAREDIR)/formats/fb2
	@install -d $(FBSHAREDIR)/default
	@./scripts/install_toolbar_and_menu.sh $(VARIANT) $(FBSHAREDIR)/default
	@install -m 0644 data/default/external.$(TARGET_ARCH).xml $(FBSHAREDIR)/default/external.xml
	@if [ -f data/default/messages.$(TARGET_ARCH).xml ]; then \
		install -m 0644 data/default/messages.$(TARGET_ARCH).xml $(FBSHAREDIR)/default/messages.xml; \
	fi
ifeq "$(UI_TYPE)" "gtk"
	@install -m 0644 data/default/gtkrc $(FBSHAREDIR)/default/gtkrc
endif
	@install -d $(FBSHAREDIR)/resources
	@install -m 0644 $(wildcard data/resources/*.xml) $(FBSHAREDIR)/resources
	@install -d $(DESTDIR)$(APPIMAGEDIR_REAL)
	@install -m 0644 $(wildcard data/icons/toolbar/$(VARIANT)/*.*) $(DESTDIR)$(APPIMAGEDIR_REAL)
	@install -m 0644 $(wildcard data/icons/filetree/$(VARIANT)/*.*) $(DESTDIR)$(APPIMAGEDIR_REAL)
	@install -m 0644 $(wildcard data/icons/booktree/$(VARIANT)/*.*) $(DESTDIR)$(APPIMAGEDIR_REAL)
	@make -C $(TARGET_ARCH) RESOLUTION=$(RESOLUTION) install

clean:
	@for subdir in $(ALL_SUBDIRS); do \
		$(MAKE) -C $$subdir -f $(MAKEFILESDIR)/subdir.mk clean; \
	done;
	@for subdir in $(ALL_ARCHSUBDIRS); do \
		cd $$subdir; make clean; cd ..; \
	done;
	@$(RM) $(TARGET) err

=== fbreader/openzaurus/Makefile ===
ROOTDIR = $(CURDIR)/../..
include $(ROOTDIR)/makefiles/config.mk

ifeq "$(UI_TYPE)" "opie"
	PICSDIR = $(INSTALLDIR)/pics/fbreader
	APPDIR = $(INSTALLDIR)/apps/Applications
	STYLE = $(RESOLUTION)
else # UI_TYPE == gpe
	PICSDIR = $(SHAREDIR)/pixmaps/fbreader
	APPDIR = $(SHAREDIR)/applications
	STYLE = gpe$(RESOLUTION)
endif

install:
	@install -d $(DESTDIR)$(PICSDIR)
	@install -m 0644 ../data/icons/application/$(TARGET_ARCH)_$(RESOLUTION).png $(DESTDIR)$(PICSDIR)/FBReader.png
	@install -m 0644 ../data/default/config.openzaurus.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/config.xml
	@install -m 0644 ../data/default/keymap.zaurus.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/keymap.xml
	@install -m 0644 ../data/default/styles.$(STYLE).xml $(DESTDIR)$(SHAREDIR)/FBReader/default/styles.xml
	@install -d $(DESTDIR)$(APPDIR)
	@install -m 0644 $(UI_TYPE)/fbreader.desktop $(DESTDIR)$(APPDIR)

clean:

=== debian/changelog ===
fbreader-cmpc3 (0.10.20081218netbook0natick1) hardy; urgency=low

  * Package into deb 

 -- Lily <lifengx.wang@intel.com>  Thu, 25 Dec 2008 03:25:19 +0000

fbreader-cmpc3 (0.10.20081114netbook0natick1) hardy; urgency=low

  * Intel drop for Natick Beta build.

 -- lily <lifengx.wang@intel.com>  Thu, 20 Nov 2008 04:34:42 +0000

fbreader-cmpc3 (0.10.20081012-1netbook0natick1) hardy; urgency=low

  * Create a top-level debian directory based on distributions/debian/desktop
    directory. Build directly with debuild rather than use build_packages.sh.
  * Change makefiles/target.mk to desktop/gtk rather than win32

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 23 Oct 2008 20:42:16 +0000

fbreader-cmpc3 (0.10.20081012-1) stable; urgency=low

  * Gold release candidate 2

 -- Nikolay Pultsin <geometer@fbreader.org>  Sun, 12 Oct 2008 20:03:00 +0400

fbreader-cmpc3 (0.10.20081005-1) stable; urgency=low

  * Gold release candidate 1

 -- Nikolay Pultsin <geometer@fbreader.org>  Sun, 5 Oct 2008 05:58:00 +0400

fbreader-cmpc3 (0.10.20080928-1) stable; urgency=low

  * RC2 release

 -- Nikolay Pultsin <geometer@fbreader.org>  Sun, 28 Sep 2008 23:30:00 +0400

fbreader-cmpc3 (0.10.20080918-1) stable; urgency=low

  * beta2 release

 -- Nikolay Pultsin <geometer@fbreader.org>  Thu, 18 Sep 2008 16:00:00 +0400

fbreader-cmpc3 (0.10.20080906-1) stable; urgency=low

  * separate version for Intel Classmate PC 3

 -- Nikolay Pultsin <geometer@fbreader.org>  Sat, 6 Sep 2008 14:47:00 +0400

fbreader (0.10.0-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Sun, 3 Aug 2008 19:01:00 +0400

fbreader (0.8.17-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Sun, 23 Mar 2008 03:30:00 +0300

fbreader (0.8.16-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Fri, 20 Mar 2008 03:10:00 +0300

fbreader (0.8.15-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Tue, 26 Feb 2008 02:41:00 +0300

fbreader (0.8.14-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Sat, 9 Feb 2008 22:48:00 +0300

fbreader (0.8.13-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Thr, 24 Jan 2008 15:24:00 +0300

fbreader (0.8.12-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Sat, 19 Jan 2008 03:47:00 +0300

fbreader (0.8.11-1) stable; urgency=low

  * new upstream version
  * dependency rules have been changed

 -- Nikolay Pultsin <geometer@fbreader.org>  Sat, 12 Jan 2008 22:27:00 +0300

fbreader (0.8.10-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Fri, 4 Jan 2008 20:53:00 +0300

fbreader (0.8.9-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Thr, 27 Dec 2007 07:13:00 +0300

fbreader (0.8.8d-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Mon, 24 Dec 2007 10:27:00 +0300

fbreader (0.8.8c-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Sun, 23 Dec 2007 08:14:00 +0300

fbreader (0.8.8a-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Mon, 17 Dec 2007 03:03:00 +0300

fbreader (0.8.8-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Fri, 23 Nov 2007 22:55:00 +0300

fbreader (0.8.7b-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Tue, 6 Nov 2007 22:55:00 +0300

fbreader (0.8.7a-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Wed, 31 Oct 2007 00:00:00 +0400

fbreader (0.8.7-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Fri, 5 Oct 2007 00:00:00 +0400

fbreader (0.8.6c-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Thr, 30 Aug 2007 02:30:00 +0400

fbreader (0.8.6a-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Thr, 8 Aug 2007 18:47:00 +0400

fbreader (0.8.6-1) stable; urgency=low

  * new upstream version
  * added libzlibrary-dev package

 -- Nikolay Pultsin <geometer@fbreader.org>  Thr, 5 Aug 2007 23:49:00 +0400

fbreader (0.8.5c-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Thr, 19 Jul 2007 15:20:00 +0400

fbreader (0.8.5b-1) stable; urgency=low

  * new upstream version
  * almost all changes from the previous change are now included into
    the upstream version: zlibrary shared objects moving, rpath deletion,
    and the man page.

 -- Nikolay Pultsin <geometer@fbreader.org>  Tue, 10 Jul 2007 21:50:00 +0400

fbreader (0.8.5a-1) unstable; urgency=low

  * First upload to Debian. Closes: #432274
  * Misc debianisation changes.
  * Move zlibrary shared object files to /usr/lib from /usr/share.
  * Remove use of rpath.
  * Use sensible-browser.
  * Added a basic man page.

 -- Joey Hess <joeyh@debian.org>  Mon, 09 Jul 2007 15:04:31 -0400

fbreader (0.8.5-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Sat, 7 Jul 2007 02:12:00 +0400

fbreader (0.8.4zz-1) stable; urgency=low

  * new upstream version

 -- Nikolay Pultsin <geometer@fbreader.org>  Thu, 5 Jul 2007 03:17:00 +0400

fbreader (0.8.4z-2) stable; urgency=low

  * postinst/postrm scripts were added

 -- Nikolay Pultsin <geometer@fbreader.org>  Fri, 29 Jun 2007 21:23:00 +0400

fbreader (0.8.4z-1) stable; urgency=low

  * Initial release.

 -- Nikolay Pultsin <geometer@fbreader.org>  Fri, 29 Jun 2007 17:53:00 +0400

=== debian/control ===
Source: fbreader-cmpc3
Section: text
Priority: optional
Maintainer: Nikolay Pultsin <geometer@fbreader.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.22), libgtk2.0-dev, libqt3-mt-dev, libqt4-dev, libexpat1-dev, libbz2-dev, libz-dev, liblinebreak-dev, libjpeg-dev, libfribidi-dev

Package: fbreader-cmpc3
Priority: optional
Architecture: any
Replaces: fbreader, fbreader-gtk, fbreader-qt, fbreader-qt4
Conflicts: fbreader, fbreader-gtk, fbreader-qt, fbreader-qt4
Depends: libbz2-1.0, libc6 (>= 2.3.6-6), libexpat1 (>= 1.95.8), libgcc1 (>= 1:4.1.1-12), libstdc++6 (>= 4.1.1-12), libzlcore-cmpc3 (<< 0.11.0), libzlcore-cmpc3 (>= 0.10.20081218-1), libzltext-cmpc3 (<< 0.11.0), libzltext-cmpc3 (>= 0.10.20081218-1), zlib1g (>= 1:1.2.1), libzlui
Description: e-book reader
 FBReader for Intel Classmate PC 3.
 .
 Main features:
  * supports several open e-book formats: fb2, html, chm, plucker,
    palmdoc, ztxt, tcr (psion text), rtf, oeb, openreader, non-DRM'ed
    mobipocket, plain text
  * reads directly from tar, zip, gzip, bzip2 archives (you can have
    several books in one archive)
  * supports a structured view of your e-book collection
  * automatically determines encodings
  * automatically generates a table of contents
  * keeps the last open book and the last read positions for all open books
    between runs
  * automatic hyphenation (patterns for several languages are included)
 .
  Homepage: http://www.fbreader.org/

Package: libzlcore-cmpc3
Section: libs
Priority: optional
Architecture: any
Replaces: libzlcore
Conflicts: libzlcore, fbreader-gtk, fbreader-qt, fbreader-qt4
Depends: ${shlibs:Depends}
Description: zlibrary core
 This is the core of zlibrary, the library that the fbreader e-book reader
 is based on.

Package: libzltext-cmpc3
Section: libs
Priority: optional
Architecture: any
Replaces: libzltext
Conflicts: libzltext, fbreader-gtk, fbreader-qt, fbreader-qt4
Depends: ${shlibs:Depends}, libzlcore-cmpc3 (= ${Source-Version})
Description: zlibrary text model/viewer
 This package provides text model/viewer part of zlibrary.

Package: libzlui-gtk-cmpc3
Section: libs
Priority: optional
Architecture: any
Replaces: libzlui-gtk
Conflicts: libzlui-gtk
Depends: ${shlibs:Depends}, libzlcore-cmpc3 (= ${Source-Version})
Provides: libzlui
Description: Gtk interface module for zlibrary
 This package provides a gtk+-based UI for zlibrary.

=== debian/rules ===
#!/usr/bin/make -f

clean:
		dh_testdir
		dh_testroot
		[ ! -f Makefile ] || $(MAKE) distclean
		dh_clean build-stamp install-stamp

build: build-stamp
build-stamp:
		dh_testdir
		$(MAKE) -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy
		$(MAKE) -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy
		$(MAKE) -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=gtk
		$(MAKE) -C fbreader TARGET_ARCH=desktop UI_TYPE=dummy
		touch build-stamp 

install: install-stamp
install-stamp: DEB_DIR = $(CURDIR)/debian
install-stamp: build
		dh_testdir
		dh_testroot
		dh_clean -k
		dh_installdirs
		$(MAKE) -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/libzlcore-cmpc3 do_install
		$(MAKE) -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/libzltext-cmpc3 do_install
		$(MAKE) -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=gtk DESTDIR=$(DEB_DIR)/libzlui-gtk-cmpc3 do_install
		$(MAKE) -C fbreader TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/fbreader-cmpc3 do_install
		touch install-stamp

binary-arch: VERSION=$(shell expr "`dpkg-parsechangelog |grep Version:`" : '.*Version: \(.*\)')
binary-arch: build install
		dh_testdir
		dh_testroot
		dh_desktop
		dh_installmenu
		dh_installdocs
		dh_installman fbreader/desktop/FBReader.1
		dh_installchangelogs
		dh_strip
		dh_compress
		dh_fixperms
		dh_makeshlibs -plibzlcore-cmpc3 -V"libzlcore-cmpc3 (>= $(VERSION)),libzlcore-cmpc3 (<< 0.11.0)"
		dh_makeshlibs -plibzltext-cmpc3 -V"libzltext-cmpc3 (>= $(VERSION)),libzltext-cmpc3 (<< 0.11.0)"
		dh_installdeb
		dh_shlibdeps -l debian/libzlcore-cmpc3/usr/lib:debian/libzltext-cmpc3/usr/lib
		dh_gencontrol
		dh_md5sums
		dh_builddeb

binary-indep:

binary:	binary-indep binary-arch

.PHONY: clean build install binary-indep binary-arch binary

## fbreader-cmpc3 0.10.20090414netbook0natick1

=== fbreader/Makefile ===
--- 
+++ 
@@ -54,6 +54,7 @@
 endif
 	@install -d $(FBSHAREDIR)/resources
 	@install -m 0644 $(wildcard data/resources/*.xml) $(FBSHAREDIR)/resources
+	@mv $(FBSHAREDIR)/resources/es_LA.xml $(FBSHAREDIR)/resources/es.xml
 	@install -d $(DESTDIR)$(APPIMAGEDIR_REAL)
 	@install -m 0644 $(wildcard data/icons/toolbar/$(VARIANT)/*.*) $(DESTDIR)$(APPIMAGEDIR_REAL)
 	@install -m 0644 $(wildcard data/icons/filetree/$(VARIANT)/*.*) $(DESTDIR)$(APPIMAGEDIR_REAL)

=== debian/changelog ===
fbreader-cmpc3 (0.10.20090414netbook0natick1) natick; urgency=low

  * update to support all Spanish

 -- Ray <Chunleix.wu@intel.com>  Wed, 15 Apr 2009 21:15:21 +0000

fbreader-cmpc3 (0.10.20090324netbook0natick1) hardy; urgency=low

  * fix GUI bug for L10N release

 -- Ray <chunleix.wu@intel.com>  Wed, 01 Apr 2009 09:07:51 +0000
